#
# AUTOMATICALLY GENERATED FILE
#    do not edit!
#
#
CXX = c++
AR = ar
RANLIB = ranlib
PERL = /usr/pkg/bin/perl
WINDRES = 

DEFAULT_CXXFLAGS = -I/usr/include -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -Wall -Wundef \
	-I../../lib/win32 -I../../lib/common -I../../lib/compress -I../../lib/crypto -I../../lib/server  \
	-DBOX_VERSION="\"0.11.1\""
LDFLAGS = -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -rdynamic

ifdef RELEASE
CXXFLAGS = -DBOX_RELEASE_BUILD -O2 $(DEFAULT_CXXFLAGS)
OUTBASE = ../../release
OUTDIR = ../../release/lib/backupclient
DEPENDMAKEFLAGS = RELEASE=1
VARIENT = RELEASE
else
CXXFLAGS = -g $(DEFAULT_CXXFLAGS)
OUTBASE = ../../debug
OUTDIR = ../../debug/lib/backupclient
DEPENDMAKEFLAGS =
VARIENT = DEBUG
endif

HIDE     = $(if $(V),,@)
_CXX     = $(if $(V),$(CXX),     @ echo "  [CXX]     $<" && $(CXX))
_LINK    = $(if $(V),$(CXX),     @ echo "  [LINK]    $@" && $(CXX))
_WINDRES = $(if $(V),$(WINDRES), @ echo "  [WINDRES] $<" && $(WINDRES))
_AR      = $(if $(V),$(AR),      @ echo "  [AR]      $@" && $(AR))
_RANLIB  = $(if $(V),$(RANLIB),  @ echo "  [RANLIB]  $@" && $(RANLIB))
_PERL    = $(if $(V),$(PERL),    @ echo "  [PERL]    $@" && $(PERL) >/dev/null)

$(OUTDIR)/backupclient.a: $(OUTDIR)/BackupClientCryptoKeys.o $(OUTDIR)/BackupClientFileAttributes.o $(OUTDIR)/BackupClientMakeExcludeList.o $(OUTDIR)/BackupClientRestore.o $(OUTDIR)/BackupDaemonConfigVerify.o $(OUTDIR)/BackupStoreDirectory.o $(OUTDIR)/BackupStoreFile.o $(OUTDIR)/BackupStoreFileCmbDiff.o $(OUTDIR)/BackupStoreFileCmbIdx.o $(OUTDIR)/BackupStoreFileCombine.o $(OUTDIR)/BackupStoreFileCryptVar.o $(OUTDIR)/BackupStoreFileDiff.o $(OUTDIR)/BackupStoreFileEncodeStream.o $(OUTDIR)/BackupStoreFileRevDiff.o $(OUTDIR)/BackupStoreFilename.o $(OUTDIR)/BackupStoreFilenameClear.o $(OUTDIR)/BackupStoreObjectDump.o $(OUTDIR)/autogen_BackupProtocolClient.o $(OUTDIR)/autogen_BackupStoreException.o
	$(HIDE) (echo -n > $(OUTDIR)/backupclient.a; rm $(OUTDIR)/backupclient.a)
	$(_AR) cq $(OUTDIR)/backupclient.a $(OUTDIR)/BackupClientCryptoKeys.o $(OUTDIR)/BackupClientFileAttributes.o $(OUTDIR)/BackupClientMakeExcludeList.o $(OUTDIR)/BackupClientRestore.o $(OUTDIR)/BackupDaemonConfigVerify.o $(OUTDIR)/BackupStoreDirectory.o $(OUTDIR)/BackupStoreFile.o $(OUTDIR)/BackupStoreFileCmbDiff.o $(OUTDIR)/BackupStoreFileCmbIdx.o $(OUTDIR)/BackupStoreFileCombine.o $(OUTDIR)/BackupStoreFileCryptVar.o $(OUTDIR)/BackupStoreFileDiff.o $(OUTDIR)/BackupStoreFileEncodeStream.o $(OUTDIR)/BackupStoreFileRevDiff.o $(OUTDIR)/BackupStoreFilename.o $(OUTDIR)/BackupStoreFilenameClear.o $(OUTDIR)/BackupStoreObjectDump.o $(OUTDIR)/autogen_BackupProtocolClient.o $(OUTDIR)/autogen_BackupStoreException.o
	$(_RANLIB) $(OUTDIR)/backupclient.a

$(OUTDIR)/BackupDaemonConfigVerify.o: BackupDaemonConfigVerify.cpp ../../lib/common/MemLeakFinder.h ../../lib/common/Box.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h ../../lib/server/Daemon.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/win32/emu.h ../../lib/common/BoxTime.h ../../lib/common/CommonException.h ../../lib/common/BoxPortsAndFiles.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFindOff.h BackupDaemonConfigVerify.h ../../lib/common/FileStream.h ../../lib/win32/getopt.h ../../lib/common/Configuration.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c BackupDaemonConfigVerify.cpp -o $(OUTDIR)/BackupDaemonConfigVerify.o

$(OUTDIR)/BackupClientCryptoKeys.o: BackupClientCryptoKeys.cpp ../../lib/common/FileStream.h ../../lib/common/ReadLoggingStream.h ../../lib/win32/getopt.h BackupClientFileAttributes.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFindOff.h BackupStoreFilename.h BackupStoreException.h ../../lib/common/CommonException.h ../../lib/common/BoxTime.h BackupStoreFilenameClear.h ../../lib/common/StreamableMemBlock.h ../../lib/win32/emu.h ../../lib/common/Logging.h ../../lib/common/Utils.h ../../lib/common/MemLeakFindOn.h BackupClientCryptoKeys.h RunStatusProvider.h ../../lib/common/BoxConfig.h BackupStoreFile.h ../../lib/common/Box.h ../../lib/common/MemLeakFinder.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c BackupClientCryptoKeys.cpp -o $(OUTDIR)/BackupClientCryptoKeys.o

$(OUTDIR)/BackupStoreFileCmbDiff.o: BackupStoreFileCmbDiff.cpp BackupStoreConstants.h ../../lib/common/BeginStructPackForWire.h ../../lib/common/ReadLoggingStream.h ../../lib/win32/getopt.h BackupStoreFileWire.h ../../lib/common/FileStream.h ../../lib/common/MemLeakFindOff.h BackupClientFileAttributes.h ../../lib/common/IOStream.h ../../lib/common/StreamableMemBlock.h ../../lib/win32/emu.h BackupStoreException.h ../../lib/common/CommonException.h ../../lib/crypto/MD5Digest.h BackupStoreFilename.h ../../lib/common/BoxTime.h ../../lib/common/EndStructPackForWire.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/Box.h BackupStoreFile.h ../../lib/common/MemLeakFinder.h BackupStoreObjectMagic.h ../../lib/common/Utils.h ../../lib/common/Logging.h RunStatusProvider.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c BackupStoreFileCmbDiff.cpp -o $(OUTDIR)/BackupStoreFileCmbDiff.o

$(OUTDIR)/BackupStoreFile.o: BackupStoreFile.cpp BackupStoreConstants.h ../../lib/common/BeginStructPackForWire.h ../../lib/compress/Compress.h ../../lib/common/Guards.h ../../lib/common/CollectInBufferStream.h ../../lib/win32/getopt.h ../../lib/common/ReadLoggingStream.h ../../lib/common/FileModificationTime.h ../../lib/common/FileStream.h BackupStoreFileWire.h ../../lib/compress/CompressException.h ../../lib/common/MemLeakFindOff.h ../../lib/common/IOStream.h ../../lib/crypto/Random.h ../../lib/crypto/CipherAES.h ../../lib/crypto/CipherBlowfish.h BackupClientFileAttributes.h ../../lib/common/ReadGatherStream.h ../../lib/win32/emu.h ../../lib/common/StreamableMemBlock.h ../../lib/common/BoxTime.h ../../lib/crypto/RollingChecksum.h ../../lib/common/CommonException.h BackupStoreException.h ../../lib/crypto/CipherContext.h ../../lib/crypto/MD5Digest.h BackupStoreFilename.h BackupStoreFileCryptVar.h ../../lib/common/EndStructPackForWire.h BackupStoreFileEncodeStream.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h ../../lib/crypto/CipherDescription.h ../../lib/common/MemLeakFinder.h BackupStoreObjectMagic.h BackupStoreFile.h ../../lib/common/Box.h RunStatusProvider.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Utils.h ../../lib/common/Logging.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c BackupStoreFile.cpp -o $(OUTDIR)/BackupStoreFile.o

$(OUTDIR)/BackupStoreFileRevDiff.o: BackupStoreFileRevDiff.cpp ../../lib/common/IOStream.h BackupClientFileAttributes.h ../../lib/common/MemLeakFindOff.h ../../lib/common/FileStream.h BackupStoreFileWire.h ../../lib/win32/getopt.h ../../lib/common/ReadLoggingStream.h BackupStoreConstants.h ../../lib/common/BeginStructPackForWire.h RunStatusProvider.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/MemLeakFinder.h BackupStoreObjectMagic.h ../../lib/common/Box.h BackupStoreFile.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h ../../lib/common/EndStructPackForWire.h ../../lib/common/BoxTime.h BackupStoreException.h ../../lib/common/CommonException.h ../../lib/crypto/MD5Digest.h BackupStoreFilename.h ../../lib/win32/emu.h ../../lib/common/StreamableMemBlock.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c BackupStoreFileRevDiff.cpp -o $(OUTDIR)/BackupStoreFileRevDiff.o

$(OUTDIR)/BackupClientFileAttributes.o: BackupClientFileAttributes.cpp ../../lib/common/BeginStructPackForWire.h ../../lib/common/FileStream.h ../../lib/common/FileModificationTime.h ../../lib/win32/getopt.h ../../lib/common/IOStream.h ../../lib/crypto/CipherBlowfish.h BackupClientFileAttributes.h ../../lib/common/MemLeakFindOff.h ../../lib/win32/emu.h ../../lib/common/StreamableMemBlock.h ../../lib/common/EndStructPackForWire.h ../../lib/common/BoxTime.h ../../lib/crypto/MD5Digest.h BackupStoreException.h ../../lib/crypto/CipherContext.h ../../lib/common/CommonException.h ../../lib/common/MemLeakFinder.h ../../lib/common/BoxTimeToUnix.h ../../lib/common/Box.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h ../../lib/crypto/CipherDescription.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Utils.h ../../lib/common/Logging.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c BackupClientFileAttributes.cpp -o $(OUTDIR)/BackupClientFileAttributes.o

$(OUTDIR)/BackupStoreFilename.o: BackupStoreFilename.cpp BackupStoreException.h ../../lib/common/CommonException.h BackupStoreFilename.h ../../lib/win32/emu.h ../../lib/server/ProtocolObject.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/Box.h ../../lib/common/MemLeakFinder.h ../../lib/win32/getopt.h ../../lib/common/FileStream.h ../../lib/common/Guards.h ../../lib/server/Protocol.h ../../lib/common/MemLeakFindOff.h ../../lib/common/IOStream.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c BackupStoreFilename.cpp -o $(OUTDIR)/BackupStoreFilename.o

$(OUTDIR)/BackupStoreFileCryptVar.o: BackupStoreFileCryptVar.cpp ../../lib/common/EndStructPackForWire.h BackupStoreFileCryptVar.h ../../lib/crypto/MD5Digest.h ../../lib/common/CommonException.h ../../lib/crypto/CipherContext.h ../../lib/win32/emu.h ../../lib/common/Logging.h ../../lib/common/Utils.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h ../../lib/common/Box.h ../../lib/common/MemLeakFinder.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h BackupStoreFileWire.h ../../lib/common/FileStream.h ../../lib/win32/getopt.h ../../lib/common/BeginStructPackForWire.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFindOff.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c BackupStoreFileCryptVar.cpp -o $(OUTDIR)/BackupStoreFileCryptVar.o

$(OUTDIR)/BackupStoreFileCmbIdx.o: BackupStoreFileCmbIdx.cpp ../../lib/common/IOStream.h BackupClientFileAttributes.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BeginStructPackForWire.h BackupStoreConstants.h ../../lib/common/FileStream.h BackupStoreFileWire.h ../../lib/win32/getopt.h ../../lib/common/ReadLoggingStream.h BackupStoreObjectMagic.h ../../lib/common/MemLeakFinder.h ../../lib/common/Box.h BackupStoreFile.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h ../../lib/common/MemLeakFindOn.h RunStatusProvider.h ../../lib/common/BoxConfig.h ../../lib/common/Logging.h ../../lib/common/Utils.h ../../lib/win32/emu.h ../../lib/common/StreamableMemBlock.h ../../lib/common/EndStructPackForWire.h ../../lib/common/BoxTime.h BackupStoreException.h ../../lib/crypto/MD5Digest.h ../../lib/common/CommonException.h BackupStoreFilename.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c BackupStoreFileCmbIdx.cpp -o $(OUTDIR)/BackupStoreFileCmbIdx.o

$(OUTDIR)/BackupStoreFilenameClear.o: BackupStoreFilenameClear.cpp ../../lib/win32/emu.h BackupStoreFilenameClear.h ../../lib/crypto/CipherContext.h BackupStoreFilename.h BackupStoreException.h ../../lib/common/CommonException.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h ../../lib/crypto/CipherDescription.h ../../lib/common/MemLeakFinder.h ../../lib/common/Box.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/Guards.h ../../lib/win32/getopt.h ../../lib/common/FileStream.h ../../lib/common/MemLeakFindOff.h ../../lib/common/IOStream.h ../../lib/crypto/CipherBlowfish.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c BackupStoreFilenameClear.cpp -o $(OUTDIR)/BackupStoreFilenameClear.o

$(OUTDIR)/BackupClientMakeExcludeList.o: BackupClientMakeExcludeList.cpp ../../lib/common/Box.h ../../lib/common/MemLeakFinder.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/win32/emu.h ../../lib/common/CommonException.h ../../lib/common/ExcludeList.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFindOff.h BackupClientMakeExcludeList.h ../../lib/common/FileStream.h ../../lib/common/Configuration.h ../../lib/win32/getopt.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c BackupClientMakeExcludeList.cpp -o $(OUTDIR)/BackupClientMakeExcludeList.o

$(OUTDIR)/BackupStoreDirectory.o: BackupStoreDirectory.cpp ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/Box.h BackupStoreObjectMagic.h ../../lib/common/MemLeakFinder.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/StreamableMemBlock.h ../../lib/win32/emu.h BackupStoreFilenameClear.h BackupStoreException.h ../../lib/common/CommonException.h BackupStoreFilename.h ../../lib/common/BoxTime.h BackupStoreDirectory.h ../../lib/common/EndStructPackForWire.h ../../lib/common/MemLeakFindOff.h ../../lib/common/IOStream.h ../../lib/common/BeginStructPackForWire.h ../../lib/win32/getopt.h ../../lib/common/FileStream.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c BackupStoreDirectory.cpp -o $(OUTDIR)/BackupStoreDirectory.o

$(OUTDIR)/BackupStoreFileDiff.o: BackupStoreFileDiff.cpp BackupStoreConstants.h ../../lib/common/BeginStructPackForWire.h ../../lib/common/Guards.h ../../lib/common/CollectInBufferStream.h ../../lib/common/ReadLoggingStream.h ../../lib/win32/getopt.h BackupStoreFileWire.h ../../lib/common/FileStream.h ../../lib/common/MemLeakFindOff.h BackupClientFileAttributes.h ../../lib/common/IOStream.h ../../lib/common/Timer.h ../../lib/common/StreamableMemBlock.h ../../lib/win32/emu.h ../../lib/crypto/CipherContext.h ../../lib/crypto/MD5Digest.h ../../lib/common/CommonException.h BackupStoreFilename.h BackupStoreException.h ../../lib/common/BoxTime.h ../../lib/crypto/RollingChecksum.h ../../lib/common/EndStructPackForWire.h BackupStoreFileEncodeStream.h BackupStoreFileCryptVar.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h BackupStoreFile.h ../../lib/common/Box.h BackupStoreObjectMagic.h ../../lib/common/MemLeakFinder.h ../../lib/common/Utils.h ../../lib/common/Logging.h RunStatusProvider.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c BackupStoreFileDiff.cpp -o $(OUTDIR)/BackupStoreFileDiff.o

$(OUTDIR)/BackupStoreFileCombine.o: BackupStoreFileCombine.cpp ../../lib/common/FileStream.h BackupStoreFileWire.h ../../lib/win32/getopt.h ../../lib/common/ReadLoggingStream.h ../../lib/common/BeginStructPackForWire.h BackupStoreConstants.h ../../lib/common/IOStream.h BackupClientFileAttributes.h ../../lib/common/MemLeakFindOff.h ../../lib/common/EndStructPackForWire.h ../../lib/common/BoxTime.h BackupStoreException.h ../../lib/crypto/MD5Digest.h ../../lib/common/CommonException.h BackupStoreFilename.h ../../lib/win32/emu.h ../../lib/common/StreamableMemBlock.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h RunStatusProvider.h ../../lib/common/Logging.h ../../lib/common/Utils.h BackupStoreObjectMagic.h ../../lib/common/MemLeakFinder.h BackupStoreFile.h ../../lib/common/Box.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c BackupStoreFileCombine.cpp -o $(OUTDIR)/BackupStoreFileCombine.o

$(OUTDIR)/BackupStoreFileEncodeStream.o: BackupStoreFileEncodeStream.cpp ../../lib/common/CollectInBufferStream.h ../../lib/common/Guards.h ../../lib/common/BeginStructPackForWire.h BackupStoreConstants.h BackupStoreFileWire.h ../../lib/common/FileStream.h ../../lib/common/ReadLoggingStream.h ../../lib/win32/getopt.h BackupClientFileAttributes.h ../../lib/crypto/Random.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFindOff.h ../../lib/common/StreamableMemBlock.h ../../lib/win32/emu.h BackupStoreFileEncodeStream.h ../../lib/common/EndStructPackForWire.h BackupStoreFileCryptVar.h ../../lib/crypto/CipherContext.h ../../lib/crypto/MD5Digest.h BackupStoreException.h BackupStoreFilename.h ../../lib/common/CommonException.h ../../lib/crypto/RollingChecksum.h ../../lib/common/BoxTime.h BackupStoreFile.h ../../lib/common/Box.h ../../lib/common/MemLeakFinder.h BackupStoreObjectMagic.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/Logging.h ../../lib/common/Utils.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h RunStatusProvider.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c BackupStoreFileEncodeStream.cpp -o $(OUTDIR)/BackupStoreFileEncodeStream.o

$(OUTDIR)/BackupStoreObjectDump.o: BackupStoreObjectDump.cpp ../../lib/common/MemLeakFindOn.h autogen_BackupStoreException.h ../../lib/common/BoxConfig.h RunStatusProvider.h ../../lib/common/Logging.h ../../lib/common/Utils.h ../../lib/common/MemLeakFinder.h BackupStoreObjectMagic.h BackupStoreFile.h ../../lib/common/Box.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h ../../lib/common/EndStructPackForWire.h BackupStoreDirectory.h ../../lib/common/BoxTime.h ../../lib/crypto/MD5Digest.h ../../lib/common/CommonException.h BackupStoreFilename.h BackupStoreFilenameClear.h ../../lib/win32/emu.h ../../lib/common/StreamableMemBlock.h ../../lib/common/IOStream.h BackupClientFileAttributes.h ../../lib/common/MemLeakFindOff.h ../../lib/common/FileStream.h BackupStoreFileWire.h ../../lib/common/BoxException.h ../../lib/win32/getopt.h ../../lib/common/ReadLoggingStream.h ../../lib/common/BeginStructPackForWire.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c BackupStoreObjectDump.cpp -o $(OUTDIR)/BackupStoreObjectDump.o

$(OUTDIR)/BackupClientRestore.o: BackupClientRestore.cpp ../../lib/common/IOStream.h autogen_BackupProtocolClient.h BackupClientFileAttributes.h ../../lib/common/MemLeakFindOff.h ../../lib/server/Protocol.h ../../lib/common/Guards.h ../../lib/common/CollectInBufferStream.h BackupClientRestore.h ../../lib/common/FileStream.h ../../lib/server/ServerException.h ../../lib/win32/getopt.h ../../lib/common/ReadLoggingStream.h ../../lib/common/MemLeakFinder.h ../../lib/common/Box.h BackupStoreFile.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig.h RunStatusProvider.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Utils.h ../../lib/common/Logging.h BackupStoreFilenameClear.h ../../lib/server/ProtocolObject.h ../../lib/win32/emu.h ../../lib/common/StreamableMemBlock.h ../../lib/common/BoxTime.h BackupStoreDirectory.h ../../lib/common/CommonException.h BackupStoreFilename.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c BackupClientRestore.cpp -o $(OUTDIR)/BackupClientRestore.o

$(OUTDIR)/autogen_BackupProtocolClient.o: autogen_BackupProtocolClient.cpp ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h ../../lib/common/MemLeakFinder.h ../../lib/common/Box.h BackupStoreFilename.h ../../lib/common/CommonException.h ../../lib/win32/emu.h ../../lib/server/ProtocolObject.h BackupStoreFilenameClear.h ../../lib/common/MemLeakFindOff.h ../../lib/server/Protocol.h ../../lib/common/IOStream.h autogen_BackupProtocolClient.h ../../lib/win32/getopt.h ../../lib/common/FileStream.h ../../lib/server/ServerException.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c autogen_BackupProtocolClient.cpp -o $(OUTDIR)/autogen_BackupProtocolClient.o

$(OUTDIR)/autogen_BackupStoreException.o: autogen_BackupStoreException.cpp ../../lib/common/MemLeakFinder.h ../../lib/common/Box.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h ../../lib/common/MemLeakFindOn.h autogen_BackupStoreException.h ../../lib/common/BoxConfig.h ../../lib/common/Logging.h ../../lib/common/Utils.h ../../lib/win32/emu.h ../../lib/common/CommonException.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFindOff.h ../../lib/common/FileStream.h ../../lib/common/BoxException.h ../../lib/win32/getopt.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupclient\"" -c autogen_BackupStoreException.cpp -o $(OUTDIR)/autogen_BackupStoreException.o


clean:
	-rm -rf $(OUTDIR)/*
ifndef SUBCLEAN
	$(HIDE) (cd ../../lib/win32; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
	$(HIDE) (cd ../../lib/common; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
	$(HIDE) (cd ../../lib/compress; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
	$(HIDE) (cd ../../lib/crypto; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
	$(HIDE) (cd ../../lib/server; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
endif


include Makefile.extra


buildsystem:
	(cd ../..; perl ./infrastructure/makebuildenv.pl )

